%define gcj_support         0
%define eclipse_base        %{_libdir}/eclipse
%define upstream_name       QuickREx
%define cvs_tag             QuickREx_3_5_0
%define oro_jar             jakarta-oro-2.0.8.jar
%define regexp_jar          jakarta-regexp-1.4.jar

Name:           eclipse-quickrex
Version:        3.5.0
Release:        %mkrel 0.8.2
Summary:        Regular-expression test Eclipse Plug-In

Group:          Development/Java
License:        Eclipse Public License
URL:            http://www.bastian-bergerhoff.com/eclipse/features/web/QuickREx/toc.html
# This tarball was made using the included script, like so:
#   sh ./fetch-quickrex.sh %{cvs_tag}
Source0:        quickrex-fetched-src-%{cvs_tag}.tar.bz2
Source1:        fetch-quickrex.sh
# build.properties and feature.xml was create to easily build this plugin with
# the awesome Fedora way, these files are licensed under the same license as
# the package.
Source2:        build.properties
Source3:        feature.xml
# This patch disables jregex support due to the fact that there isn't a Fedora
# package of it.
Patch0:         quickrex-disable-jregex-capability.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%if %{gcj_support}
BuildRequires:    gcc-java
BuildRequires:    java-gcj-compat-devel
%else
BuildRequires:    java-devel >= 1.5.0
%endif
#if ! %{gcj_support}
#BuildArch: noarch
#endif

BuildRequires: eclipse-pde >= 1:3.3.0
Requires: eclipse-platform >= 3.3.1 
BuildRequires: jakarta-oro
Requires: jakarta-oro
BuildRequires: regexp
Requires: regexp
BuildRequires: zip
Provides: eclipse-%{upstream_name} = %{version}-%{release}

%description
%{upstream_name} provides an Eclipse view in which you can enter
test-texts and try regular expressions.

# Note: This version of QuickREx disables jregex support due to
# the fact that there isn't a Fedora package of it.

%prep
%setup -q -n quickrex-fetched-src-%{cvs_tag}

mkdir quickrex-features
# create the feature plugin
cp -p %{SOURCE2} %{SOURCE3} quickrex-features

pushd Plug-In
%patch0 -p0
pushd lib
ln -s %{_javadir}/%{oro_jar}
ln -s %{_javadir}/regexp.jar %{regexp_jar}
popd
popd

%build
%{eclipse_base}/buildscripts/pdebuild

%install
rm -rf %{buildroot}
installDir=%{buildroot}%{eclipse_base}/dropins/quickrex
install -d -m 755 $installDir
unzip -q -d $installDir \
 build/rpmBuild/de.babe.eclipse.plugins.QuickREx.zip

# Re-symlink
pushd  $installDir/eclipse/plugins/de.babe.eclipse.plugins.QuickREx_%{version}/lib
rm %{oro_jar}
rm %{regexp_jar}
ln -s %{_javadir}/%{oro_jar}
ln -s %{_javadir}/regexp.jar %{regexp_jar}
popd

%{gcj_compile}

%clean
rm -rf %{buildroot}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{update_gcjdb}
%endif

%files
%defattr(-,root,root,-)
%doc Plug-In/html
%{eclipse_base}/dropins/quickrex
%{gcj_files}


%changelog
* Tue Aug 12 2008 Alexander Kurtakov <akurtakov@mandriva.org> 3.5.0-0.8.2mdv2009.0
+ Revision: 271028
- this is not a noarch

* Mon Aug 11 2008 Alexander Kurtakov <akurtakov@mandriva.org> 3.5.0-0.8.1mdv2009.0
+ Revision: 270825
- BR zip
- rebuild for new eclipse

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.5.0-0.5.2mdv2008.1
+ Revision: 170255
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 3.5.0-0.5.2mdv2008.0
+ Revision: 87368
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Thu Aug 09 2007 David Walluck <walluck@mandriva.org> 3.5.0-0.5.1mdv2008.0
+ Revision: 60613
- Import eclipse-quickrex



* Thu Aug 2 2007 Alphonse Van Assche <alcapcom@gmail.com> 3.5.0-5
- Fix a symtaxic error in the specfile.

* Thu Aug 2 2007 Alphonse Van Assche <alcapcom@gmail.com> 3.5.0-4
- Using java instead of eclipse to build the package.

* Wed Jul 11 2007 Alphonse Van Assche <alcapcom@gmail.com> 3.5.0-3
- Some other changes suggested by Andrew, see #246138 for more details

* Thu Jul 5 2007 Alphonse Van Assche <alcapcom@gmail.com> 3.5.0-2
- Some fixes suggested by Andrew Overholt, see #246138 for more details 

* Tue Jun 26 2007 Alphonse Van Assche <alcapcom@gmail.com> 3.5.0-1
- initial package.
